./REMOVE 000755 000000 000000 00000001612 14320562111 010277 0 ustar 00 000000 000000 #!/bin/sh
#
# Generic INSTALL/REMOVE script. Arguments passed to this script:
#
# $1 = ACTION [pre/post]
# $2 = PKGNAME
# $3 = VERSION
# $4 = UPDATE [yes/no]
# $5 = CONF_FILE (path to xbps.conf)
# $6 = ARCH (uname -m)
#
# Note that paths must be relative to CWD, to avoid calling
# host commands if /bin/sh (dash) is not installed and it's
# not possible to chroot(2).
#
export PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
TRIGGERSDIR="./usr/libexec/xbps-triggers"
ACTION="$1"
PKGNAME="$2"
VERSION="$3"
UPDATE="$4"
CONF_FILE="$5"
ARCH="$6"
#
# The following code will run the triggers.
#
export make_dirs="
/etc/runit/core-services 755 root root
/etc/zzz.d/suspend 0755 root root
/etc/zzz.d/resume 0755 root root"
case "${ACTION}" in
pre)
;;
post)
${TRIGGERSDIR}/mkdirs run post-remove ${PKGNAME} ${VERSION} ${UPDATE} ${CONF_FILE}
[ $? -ne 0 ] && exit $?
;;
esac
exit 0
./INSTALL 000755 000000 000000 00000001613 14320562111 010411 0 ustar 00 000000 000000 #!/bin/sh
#
# Generic INSTALL/REMOVE script. Arguments passed to this script:
#
# $1 = ACTION [pre/post]
# $2 = PKGNAME
# $3 = VERSION
# $4 = UPDATE [yes/no]
# $5 = CONF_FILE (path to xbps.conf)
# $6 = ARCH (uname -m)
#
# Note that paths must be relative to CWD, to avoid calling
# host commands if /bin/sh (dash) is not installed and it's
# not possible to chroot(2).
#
export PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
TRIGGERSDIR="./usr/libexec/xbps-triggers"
ACTION="$1"
PKGNAME="$2"
VERSION="$3"
UPDATE="$4"
CONF_FILE="$5"
ARCH="$6"
#
# The following code will run the triggers.
#
export make_dirs="
/etc/runit/core-services 755 root root
/etc/zzz.d/suspend 0755 root root
/etc/zzz.d/resume 0755 root root"
case "${ACTION}" in
pre)
;;
post)
${TRIGGERSDIR}/mkdirs run post-install ${PKGNAME} ${VERSION} ${UPDATE} ${CONF_FILE}
[ $? -ne 0 ] && exit $?
;;
esac
exit 0
./props.plist 000644 000000 000000 00000002232 00000000000 013351 0 ustar 00root root 000000 000000
architecture
i686
conf_files
/etc/hostname
/etc/locale.conf
/etc/rc.conf
/etc/rc.local
homepage
https://github.com/void-linux/void-runit
installed_size
61593
license
CC0-1.0
maintainer
mobinmob <mobinmob@disroot.org>
pkgname
66-void
pkgver
66-void-20220424_1
replaces
runit-void>=0
run_depends
boot-66serv>=0
glibc>=2.32_1
shlib-requires
libc.so.6
short_desc
Void Linux base package, adapted for 66
version
20220424_1
./files.plist 000644 000000 000000 00000052443 00000000000 013321 0 ustar 00root root 000000 000000
conf_files
file
/etc/hostname
mtime
1665328201
sha256
b099ec9cbc77443a374c1313efd7a645b3c0494c3bf936dda3ebd947ce02f8ec
size
10
file
/etc/locale.conf
mtime
1665328201
sha256
712fcefe262c07d43b5ade34159f5fb059c43a73cc3c8a0ae24530f98b26edec
size
30
file
/etc/rc.conf
mtime
1665328201
sha256
44e3b792e91e6e56995068420b71bc24875287a700ff81b30cad5115ed31cf7d
size
1363
file
/etc/rc.local
mtime
1665328201
sha256
8579f5b0f13b2f58fc66e007d4fc3fd92365e955684603f5752d74a4fad256f7
size
151
dirs
file
/etc
file
/etc/runit
file
/etc/runit/runsvdir
file
/etc/runit/runsvdir/default
file
/etc/runit/runsvdir/single
file
/etc/sv
file
/etc/sv/agetty-console
file
/etc/sv/agetty-generic
file
/etc/sv/agetty-hvc0
file
/etc/sv/agetty-hvsi0
file
/etc/sv/agetty-serial
file
/etc/sv/agetty-tty1
file
/etc/sv/agetty-tty2
file
/etc/sv/agetty-tty3
file
/etc/sv/agetty-tty4
file
/etc/sv/agetty-tty5
file
/etc/sv/agetty-tty6
file
/etc/sv/agetty-ttyAMA0
file
/etc/sv/agetty-ttyS0
file
/etc/sv/agetty-ttyUSB0
file
/etc/sv/sulogin
file
/usr
file
/usr/bin
file
/usr/lib
file
/usr/lib/dracut
file
/usr/lib/dracut/dracut.conf.d
file
/usr/share
file
/usr/share/man
file
/usr/share/man/man1
file
/usr/share/man/man8
files
file
/etc/os-release
mtime
1665328201
sha256
326bb3d4eb5a89c6c8404bbcde4df3cd2cd4089d7d8a66980eb86c804af1803f
size
59
file
/etc/sv/agetty-console/conf
mtime
1665328201
sha256
86fc8a7713b71f39aad2dda48d716c72685f573bc1ad6951b76423af4a145e66
size
32
file
/etc/sv/agetty-generic/finish
mtime
1665328201
sha256
d3f8534ffd8c01e27e5d91a807c3017e3d94ae0b05d56a53b0741739943e7983
size
46
file
/etc/sv/agetty-generic/run
mtime
1665328201
sha256
bd9c47457b0058745b9f5248ff894a7054372c46828b5a62af80ae0c1fa707db
size
281
file
/etc/sv/agetty-hvc0/conf
mtime
1665328201
sha256
413a435c30ceb8f1fbffe112f8cfed3a4113eed7a7716e422a7751ee0e5268bb
size
47
file
/etc/sv/agetty-hvsi0/conf
mtime
1665328201
sha256
73dd08b7e6985cfaac01645cc46f0b3dc38b678a41f0602dce4ad0b7bd495bd6
size
162
file
/etc/sv/agetty-serial/conf
mtime
1665328201
sha256
4260c574b5b94d1b6e68c2aeaf188f80fa64027b35fc2eddd634501f13e372e1
size
163
file
/etc/sv/agetty-tty1/conf
mtime
1665328201
sha256
bc5d899525a4f53e503c65a405296db93c8608b718a056cff9c7cd6e2dede064
size
176
file
/etc/sv/sulogin/run
mtime
1665328201
sha256
7b99d3bca24f3107c3bed626766bbbe820e6c6ef09abe0565541bb147b34bd8d
size
148
file
/usr/bin/modules-load
mtime
1665328201
sha256
503dc63875db428ba712cfb09456b26cde739ab95bf94fcb6ac47674344d063a
size
766
file
/usr/bin/pause
mtime
1665328201
sha256
4d38bfab7a04f9d443ce9cd13706bfbe9e06a4d58e7649f2629ea9d9fd009028
size
13632
file
/usr/bin/seedrng
mtime
1665328201
sha256
fbc12f08c13bc285eae4c01f168dc230ed6f3910ca20fe679c8914525113899c
size
21824
file
/usr/bin/vlogger
mtime
1665328201
sha256
2bb8eb8e57f40b1d59feded7b4b5ed73ac7e245cda3f2c3abb8cee3c2f6b3554
size
13944
file
/usr/bin/zzz
mtime
1665328201
sha256
79402d8d147b61f4f4033aa183ff37f8ce02097e2624c3a8770834fe7a4ea01e
size
1647
file
/usr/lib/dracut/dracut.conf.d/10-runit-void.conf
mtime
1665328201
sha256
79d4860f67ab047b73415e588159ad04d6f9f1a0af0493dae54a415bd54af797
size
120
file
/usr/share/man/man1/pause.1
mtime
1665328201
sha256
6ecfe607c4cbfa8dd7c21c17aea0c9eea9717bc11b1db85c80b83292dac42ba9
size
741
file
/usr/share/man/man8/modules-load.8
mtime
1665328201
sha256
9658b29f041d1b552747197cfdf5760a9f21fb7a4b552e15ae79be1c4f6e7c0f
size
1201
file
/usr/share/man/man8/vlogger.8
mtime
1665328201
sha256
3c321c87c1fa6fa23f040533d53a18a1075d664e2a119519c4c39f9aaa480b99
size
3126
file
/usr/share/man/man8/zzz.8
mtime
1665328201
sha256
b254aeefd1736fac9123bdcc9b22269e4fed42e8699648b8b4f045b2b12a41b5
size
1924
links
file
/etc/runit/runsvdir/current
mtime
1665328201
target
/etc/runit/runsvdir/default
file
/etc/runit/runsvdir/default/agetty-tty1
mtime
1665328201
target
/etc/sv/agetty-tty1
file
/etc/runit/runsvdir/default/agetty-tty2
mtime
1665328201
target
/etc/sv/agetty-tty2
file
/etc/runit/runsvdir/default/agetty-tty3
mtime
1665328201
target
/etc/sv/agetty-tty3
file
/etc/runit/runsvdir/default/agetty-tty4
mtime
1665328201
target
/etc/sv/agetty-tty4
file
/etc/runit/runsvdir/default/agetty-tty5
mtime
1665328201
target
/etc/sv/agetty-tty5
file
/etc/runit/runsvdir/default/agetty-tty6
mtime
1665328201
target
/etc/sv/agetty-tty6
file
/etc/runit/runsvdir/single/sulogin
mtime
1665328201
target
/etc/sv/sulogin
file
/etc/sv/agetty-console/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-console/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-console/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-console
file
/etc/sv/agetty-hvc0/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-hvc0/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-hvc0/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-hvc0
file
/etc/sv/agetty-hvsi0/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-hvsi0/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-hvsi0/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-hvsi0
file
/etc/sv/agetty-serial/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-serial/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty1/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty1/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty1/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty1
file
/etc/sv/agetty-tty2/conf
mtime
1665328201
target
/etc/sv/agetty-tty1/conf
file
/etc/sv/agetty-tty2/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty2/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty2/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty2
file
/etc/sv/agetty-tty3/conf
mtime
1665328201
target
/etc/sv/agetty-tty1/conf
file
/etc/sv/agetty-tty3/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty3/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty3/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty3
file
/etc/sv/agetty-tty4/conf
mtime
1665328201
target
/etc/sv/agetty-tty1/conf
file
/etc/sv/agetty-tty4/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty4/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty4/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty4
file
/etc/sv/agetty-tty5/conf
mtime
1665328201
target
/etc/sv/agetty-tty1/conf
file
/etc/sv/agetty-tty5/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty5/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty5/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty5
file
/etc/sv/agetty-tty6/conf
mtime
1665328201
target
/etc/sv/agetty-tty1/conf
file
/etc/sv/agetty-tty6/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-tty6/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-tty6/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-tty6
file
/etc/sv/agetty-ttyAMA0/conf
mtime
1665328201
target
/etc/sv/agetty-serial/conf
file
/etc/sv/agetty-ttyAMA0/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-ttyAMA0/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-ttyAMA0/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-ttyAMA0
file
/etc/sv/agetty-ttyS0/conf
mtime
1665328201
target
/etc/sv/agetty-serial/conf
file
/etc/sv/agetty-ttyS0/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-ttyS0/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-ttyS0/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-ttyS0
file
/etc/sv/agetty-ttyUSB0/conf
mtime
1665328201
target
/etc/sv/agetty-serial/conf
file
/etc/sv/agetty-ttyUSB0/finish
mtime
1665328201
target
/etc/sv/agetty-generic/finish
file
/etc/sv/agetty-ttyUSB0/run
mtime
1665328201
target
/etc/sv/agetty-generic/run
file
/etc/sv/agetty-ttyUSB0/supervise
mtime
1665328201
target
/run/runit/supervise.agetty-ttyUSB0
file
/etc/sv/sulogin/supervise
mtime
1665328201
target
/run/runit/supervise.sulogin
file
/usr/bin/ZZZ
mtime
1665328201
target
/usr/bin/zzz
file
/usr/bin/halt
mtime
1665328201
target
/etc/66/halt
file
/usr/bin/init
mtime
1665328201
target
/usr/bin/66
file
/usr/bin/poweroff
mtime
1665328201
target
/etc/66/poweroff
file
/usr/bin/reboot
mtime
1665328201
target
/etc/66/reboot
file
/usr/bin/shutdown
mtime
1665328201
target
/etc/66/shutdown
./usr/share/man/man8/zzz.8 000644 000000 000000 00000003604 14320562111 013636 0 ustar 00 000000 000000 .Dd July 25, 2014
.Dt ZZZ 8
.Os Linux
.Sh NAME
.Nm zzz ,
.Nm ZZZ
.Nd suspend or hibernate your computer
.Sh SYNOPSIS
.Nm zzz
.Op Fl nSzZRH
.Nm ZZZ
.Op Fl nSzZRH
.Sh DESCRIPTION
.Nm
is a simple script to suspend or hibernate your computer.
It supports hooks before and after suspending.
.Bl -tag -width indent
.It Fl n
dry-run mode.
Instead of performing an ACPI action,
.Nm
will just sleep for a few seconds.
.It Fl S
Enter low-power idle mode (ACPI S1, kernel name "freeze").
.It Fl z
Enter suspend to RAM mode (ACPI S3, kernel name "mem").
This is the default for
.Nm zzz .
.It Fl Z
Enter hibernate to disk mode (ACPI S4, kernel name "disk") and power off.
This is the default for
.Nm ZZZ .
.It Fl R
Enter hibernate to disk mode and reboot.
This can be used to switch operating systems.
.It Fl H
Enter hibernate to disk mode and suspend.
This is also know as suspend-hybrid.
.El
.Sh FILES
Before suspending,
.Nm zzz
runs the executable files in
.Pa /etc/zzz.d/suspend
in alphanumeric order.
After suspending,
.Nm zzz
runs the executable files in
.Pa /etc/zzz.d/resume
in alphanumeric order (not in reverse order!).
.Pp
The environment variable
.Ev ZZZ_MODE
can be used in these hooks to differentiate between
.Ic standby ,
.Ic suspend ,
and
.Ic resume .
.Sh DIAGNOSTICS
.Bl -tag -width indent
.It suspend/hibernate not supported
The hardware does not support ACPI S3/S4 with this kernel.
.It sleep permission denied
You lack sufficent privilege to write to
.Pa /sys/power/state .
.It another instance of zzz is running
.Nm
locks
.Pa /sys/power
during operation.
Perhaps a hook is stuck?
.It Zzzz... yawn.
The system has woken up again.
Everything is fine.
You feel refreshed.
.Sh SEE ALSO
.Xr pm-action 8 ,
.Xr s2disk 8 ,
.Xr s2ram 8 ,
OpenBSD's
.Xr apm 8
.Sh HISTORY
A similar
.Nm apm
command appeared in
.Nx 1.3
and
.Ox 1.2 .
.Sh AUTHOR
.An Leah Neukirchen ,
.Mt leah@vuxu.org .
.Sh LICENSE
.Nm
is in the public domain.
./usr/share/man/man8/vlogger.8 000644 000000 000000 00000006066 14320562111 014453 0 ustar 00 000000 000000 .Dd March 1, 2017
.Dt VLOGGER 8
.Os
.Sh NAME
.Nm vlogger
.Nd log messages to syslog or an arbitrary executable
.Sh SYNOPSIS
.Nm vlogger
.Op Fl isS
.Op Fl f Ar file
.Op Fl p Ar pri
.Op Fl t Ar tag
.Op Ar message ...
.Sh DESCRIPTION
The
.Nm
utility writes messages to the system log or an arbitrary executable.
.Pp
If
.Nm
is executed as
.Nm logger
it will always use the system log and behave like the regular
.Xr logger 1 .
.Pp
Without
.Ar message
arguments
.Nm
reads messages from
.Dv stdin
or the file specified with the
.Fl f
flag.
If the
.Pa /etc/vlogger
executable exists
.Nm
executes it with
.Ar tag ,
.Ar level
and
.Ar facility
as arguments,
replacing the
.Nm
process.
.Pp
If
.Nm
is executed as a log service for
.Xr runit 8
or another daemontools like
supervision suite it uses the service name as default
.Ar tag .
As example if
.Nm
is linked to
.Pa /var/service/foo/log/run
it uses
.Dq foo
as
.Ar tag
and
.Dq daemon.notice
as
.Ar pri .
.Pp
The options are as follows:
.Bl -tag -width "-f file"
.It Fl f Ar file
Read lines from the specified
.Ar file .
This option cannot be combine
.Ar message
arguments.
.It Fl i
Log the PID of the
.Nm
process.
Only supported if
.Xr syslog 3
is used.
.It Fl p Ar pri
The.
.Ar pri
can be
.Pa facility.level
or just
.Pa facility .
See
.Sx FACILITIES ,
.Sx LEVELS
or
.Xr syslog 3 .
The default is
.Dq user.notice .
.It Fl S
Force
.Nm
to use
.Xr syslog 3
even if
.Pa /etc/vlogger
exists.
.It Fl s
Output the message to standard error, as well as
.Xr syslog 3 .
Only supported if
.Xr syslog 3
is used.
.It Fl t Ar tag
Defines the
.Xr openlog 3
.Pa ident
which is used as prefix for each log message or passed as first argument to
.Pa /etc/vlogger .
The default is the
.Ev LOGNAME
environment variable.
.It Ar message
Write the
.Ar message
to the system log.
.El
.Sh FACILITIES
.Bl -tag -width 11n -compact
.It auth
.It authpriv
.It cron
.It daemon
.It ftp
.It kern
can not be used from userspace replaced with
.Pa daemon .
.It lpr
.It mail
.It news
.It syslog
.It user
.It uucp
.It local[0-7]
.It security
deprecated synonym for
.Pa auth .
.El
.Sh LEVELS
.Bl -tag -width 11n -compact
.It emerg
.It alert
.It crit
.It err
.It warning
.It notice
.It info
.It debug
.It panic
deprecated synonym for
.Pa emerg .
.It error
deprecated synonym for
.Ar err .
.It warn
deprecated synonym for
.Pa warning .
.El
.Sh FILES
.Bl -tag -width indent
.It /etc/vlogger
An optional executable file that is used to handle the messages.
It is executed with
.Ar tag ,
.Ar level
and
.Ar facility
as arguments
and replaces the
.Nm
process.
.El
.Sh EXIT STATUS
.Ex -std
.Sh EXAMPLES
.Pa /etc/vlogger :
.Bd -literal -offset indent
#!/bin/sh
exec svlogd /var/log/$1
.Ed
.Sh SEE ALSO
.Xr logger 1 ,
.Xr syslog 3 ,
.Xr svlogd 8
.Sh HISTORY
This program is a replacement for the
.Nm logger
utility provided by
.Nm util-linux .
.Sh AUTHORS
.An Duncan Overbruck Aq Mt mail@duncano.de
.Sh LICENSE
.Nm
is in the public domain.
.Pp
To the extent possible under law,
the creator of this work
has waived all copyright and related or
neighboring rights to this work.
.Pp
.Lk http://creativecommons.org/publicdomain/zero/1.0/
./usr/share/man/man8/modules-load.8 000644 000000 000000 00000002261 14320562111 015364 0 ustar 00 000000 000000 .Dd June 1, 2016
.Dt MODULES-LOAD 8
.Os Linux
.Sh NAME
.Nm modules-load
.Nd Configure kernel modules to load at boot
.Sh SYNOPSIS
.Nm modules-load
.Op Fl nv
.Sh DESCRIPTION
.Nm
reads files which contain kernel modules to load during boot from the list of
locations below.
.Bl -tag -width indent
.It Fl n
dry-run mode.
This option does everything but actually insert or delete the modules.
.It Fl v
verbose mode.
Print messages about what the program is doing.
.El
.Sh FILES
Configuration files are read from the following locations:
.Bl -tag -width indent
.It /etc/modules-load.d/*.conf
.It /run/modules-load.d/*.conf
.It /usr/lib/modules-load.d/*.conf
.El
.Pp
The configuration files should simply contain a list of kernel module names
to load, separated by newlines.
Empty lines and lines whose first non-whitespace character is # or ; are
ignored.
.Sh EXAMPLES
.Pa /etc/modules-load.d/virtio-net.conf :
.Bd -literal -offset indent
# Load virtio-net.ko at boot
virtio-net
.Ed
.Sh SEE ALSO
.Xr modprobe 8
.Sh HISTORY
This program is a replacement for the
.Nm modules-load
utility provided by
.Nm systemd .
.Sh AUTHOR
.An Leah Neukirchen ,
.Mt leah@vuxu.org .
.Sh LICENSE
.Nm
is in the public domain.
./usr/share/man/man1/pause.1 000644 000000 000000 00000001345 14320562111 014100 0 ustar 00 000000 000000 .Dd September 27, 2012
.Dt PAUSE 1
.Os Linux
.Sh NAME
.Nm pause
.Nd don't exit, efficiently
.Sh SYNOPSIS
.Nm pause
.Sh DESCRIPTION
.Nm pause
waits to be terminated by a signal.
It can be used when service supervision is used but there is no
long-running program to supervise.
.Nm pause
uses minimal system resources.
.Sh EXAMPLES
Setting up a static IP address with
.Xr plugsv 8 .
.Pp
.Pa /etc/netsv/eth0/run :
.Bd -literal -offset indent
#!/bin/sh
ip link set eth0 up
ip addr add 192.0.2.1/24 dev eth0
exec pause
.Ed
.Pp
.Pa /etc/netsv/eth0/finish :
.Bd -literal -offset indent
#!/bin/sh
ip addr del 192.0.2.1/24 dev eth0
ip link set eth0 down
.Ed
.Sh SEE ALSO
.Xr sleep 1 ,
.Xr pause 2
.Sh AUTHOR
.An Leah Neukirchen ,
.Mt leah@vuxu.org .
./usr/lib/dracut/dracut.conf.d/10-runit-void.conf 000644 000000 000000 00000000170 14320562111 020030 0 ustar 00 000000 000000 add_dracutmodules+=" resume "
omit_dracutmodules+=" systemd "
i18n_vars="/etc/rc.conf:KEYMAP,FONT,FONT_MAP,FONT_UNIMAP"
./usr/bin/zzz 000755 000000 000000 00000003157 14320562111 011526 0 ustar 00 000000 000000 #!/bin/sh
# zzz - really simple suspend script
USAGE="Usage: ${0##*/} [-nSzZR]
-n dry run (sleep for 5s instead of suspend/hibernate)
-S Low-power idle (ACPI S1)
-z suspend to RAM (ACPI S3) [DEFAULT for zzz(8)]
-Z hibernate to disk & power off (ACPI S4) [DEFAULT for ZZZ(8)]
-R hibernate to disk & reboot
-H hibernate to disk & suspend (aka suspend-hybrid)"
fail() { echo ${0##*/}: 1>&2 "$*"; exit 1; }
export ZZZ_MODE=suspend
export ZZZ_HIBERNATE_MODE=platform
case "$0" in
*ZZZ) ZZZ_MODE=hibernate;;
esac
while getopts hnSzHRZ opt; do
case "$opt" in
n) ZZZ_MODE=noop;;
S) ZZZ_MODE=standby;;
z) ZZZ_MODE=suspend;;
Z) ZZZ_MODE=hibernate;;
R) ZZZ_MODE=hibernate; ZZZ_HIBERNATE_MODE=reboot;;
H) ZZZ_MODE=hibernate; ZZZ_HIBERNATE_MODE=suspend;;
[h?]) fail "$USAGE";;
esac
done
shift $((OPTIND-1))
case "$ZZZ_MODE" in
suspend) grep -q mem /sys/power/state || fail "suspend not supported";;
hibernate) grep -q disk /sys/power/state || fail "hibernate not supported";;
esac
test -w /sys/power/state || fail "sleep permission denied"
(
flock -n 9 || fail "another instance of zzz is running"
printf "Zzzz... "
for hook in /etc/zzz.d/suspend/*; do
[ -x "$hook" ] && "$hook"
done
case "$ZZZ_MODE" in
standby) printf freeze >/sys/power/state || fail "standby failed";;
suspend) printf mem >/sys/power/state || fail "suspend failed";;
hibernate)
echo $ZZZ_HIBERNATE_MODE >/sys/power/disk
printf disk >/sys/power/state || fail "hibernate failed";;
noop) sleep 5;;
esac
for hook in /etc/zzz.d/resume/*; do
[ -x "$hook" ] && "$hook"
done
echo "yawn."
) 9